petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchGetVecs

Gets the vectors from the SNESLineSearch context

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetVecs(SNESLineSearch linesearch,Vec *X,Vec *F, Vec *Y,Vec *W,Vec *G)

### Input Parameters

linesearch -linesearch context Many br

### Output Parameters

| X | - Solution vector Many br
| F | - Function vector Many br
| Y | - Search direction vector Many br
| W | - Solution work vector Many br
| G | - Function work vector Many br

### Notes

At the beginning of a line search application, X should contain a Many brsolution and the vector F the function computed at X. At the end of the Many brline search application, X should contain the new solution, and F the Many brfunction evaluated at the new solution. Many br

These vectors are owned by the SNESLineSearch and should not be destroyed by the caller Many br

Many br

### See Also

SNESLineSearchGetNorms(), SNESLineSearchSetVecs()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex1f.F.html